#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	tests	# unit tests

%define		module		asn1crypto
%define		egg_name	asn1crypto
%define		pypi_name	asn1crypto
Summary:	Python ASN.1 library with a focus on performance and a pythonic API
Summary(pl.UTF-8):	Biblioteka ASN.1 dla Pythona zorientowana na wydajność i pythonowe API
Name:		python-%{pypi_name}
Version:	1.3.0
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/asn1crypto/
Source0:	https://files.pythonhosted.org/packages/source/a/asn1crypto/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	daad112940181917e3ff169b47b9bd9a
Source1:	https://files.pythonhosted.org/packages/source/a/asn1crypto_tests/asn1crypto_tests-%{version}.tar.gz
# Source1-md5:	caf691cf224d01d18a21bfdfaeb4b505
URL:		https://pypi.org/project/asn1crypto/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%description -l pl.UTF-8
Szybki parser i serializer ASN1 z definicjami dla kluczy prywatnych,
kluczy publicznych, certyfikatów, CRL, OCSP, CMS, PKCS#3, PKCS#7,
PKCS#8, PKCS#12, PKCS#5, X.509 i TSP.

%package -n python3-%{pypi_name}
Summary:	Python ASN.1 library with a focus on performance and a pythonic API
Summary(pl.UTF-8):	Biblioteka ASN.1 dla Pythona zorientowana na wydajność i pythonowe API
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{pypi_name}
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%description -n python3-%{pypi_name} -l pl.UTF-8
Szybki parser i serializer ASN1 z definicjami dla kluczy prywatnych,
kluczy publicznych, certyfikatów, CRL, OCSP, CMS, PKCS#3, PKCS#7,
PKCS#8, PKCS#12, PKCS#5, X.509 i TSP.

%prep
%setup -q -n %{pypi_name}-%{version} %{?with_tests:-a1}

%if %{with tests}
%{__mv} asn1crypto_tests-%{version} tests
%endif

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE changelog.md readme.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc LICENSE changelog.md readme.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-asn1crypto.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> da50264
- release 2 (by relup.sh)

* Sun Jun 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 4c85154
- updated to 1.3.0

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 4d8cc10
- updated to 1.2.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cfd6683
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 015e070
- updated to 1.0.0, added tests

* Wed Oct 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 35bbfba
- pl, cleanup

* Mon Sep 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6719e9b
- up to 0.24.0

